import roman
import unittest

class TestRomanNumerals(unittest.TestCase):

  def testCreateThousand(self):
    thousand = roman.RomanNumeral("M")
    self.assertEqual(thousand.value(), 1000)

  def testCreateTwoThousand(self):
    two_thousand = roman.RomanNumeral("MM")
    self.assertEqual(two_thousand.value(), 2000)

  def testWrongInputToConstructor(self):
    self.assertRaises(ValueError, roman.RomanNumeral, 23)
    self.assertRaises(ValueError, roman.RomanNumeral, [23])

if __name__ == "__main__":
  unittest.main()
